*{

    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
section{
    position: relative;
    width: 100%;
    min-height: 100vh;
    background:#001300;
    display: flex;
    flex-wrap: wrap;
    overflow: hidden;
}
span{
    position: relative;
    width: 40px;
    height: 40px;
    display: block;
}
span::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #00ff0a;
    transform: scale(0.1);
    box-shadow: 0 0 10px #00ff0a,
    0 0 20px #00ff0a,
    0 0 40px #00ff0a,
    0 0 60px #00ff0a,
    0 0 80px #00ff0a,
    0 0 100px #00ff0a;
    border-radius: 50%;
    transition: 2s;
    pointer-events: none;
    animation: animate 2s linear infinite;
}
span:hover::before{
    transform: scale(1);
    transition: 0s;
}
@keyframes animate{
    0%{
        filter: hue-rotate(0deg);
    }
    100%{
        filter: hue-rotate(360deg);
    }
}